### Virtual Method

# Atk EditableText insert_text

#### Declaration [src]

    void
    insert_text (
      AtkEditableText* text,
      const gchar* string,
      gint length,
      gint* position
    )

#### Description [src]

Insert text at a given position.

#### Parameters

`string`

  Type: `const gchar*`

  The text to insert.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  The length of text to insert, in bytes.

`position`

  Type: `gint*`

  The caller initializes this to the position at which to insert the text. After the call it points at the position after the newly inserted text.

  The data is owned by the caller of the method.